---
updatedAt: 2026-04-05T11:22:20.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Delete JPD

Delete a JPD.


**Security:** Requires admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Mission Control API",
    "description": "Mission Control APIs for JPD and license management.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n\n**Security:** Unless otherwise specified, all APIs require admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Mission Control",
      "description": "APIs for managing JPDs, license buckets, and Access Federation configuration in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/mc/api/v1/jpds/{id}": {
      "delete": {
        "tags": [
          "Mission Control"
        ],
        "summary": "Delete JPD",
        "description": "Delete a JPD.\n\n\n**Security:** Requires admin privileges.\n",
        "operationId": "deleteJpd",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The JPD ID"
          }
        ],
        "responses": {
          "204": {
            "description": "JPD deleted"
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - JPD not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```